Bug 980896 - (CVE-2013-2223) CVE-2013-2223 libzrtpcpp: Multiple information (heap memory content) exposure flaws while processing truncated ZRTP Ping packets
CVE-2013-2223 libzrtpcpp: Multiple information (heap memory content) exposure...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130627,reported=2...
: Security
Depends On: 980904
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 09:17 EDT by Jan Lieskovsky
Modified: 2015-07-31 03:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 02:10:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-03 09:17:42 EDT
Multiple information (heap memory content) exposure flaws were found in the way libzrtpcpp, a ZRTP support library for the GNU ccRTP stack, processed truncated ZRTP Ping packets. A remote attacker could provide a specially-crafted ZRTP Ping packet that, when processed in an application linked against libzrtpcpp would potentially reveal sensitive information stored on the heap.

References:
[1] http://www.openwall.com/lists/oss-security/2013/06/29/1
[2] http://www.openwall.com/lists/oss-security/2013/06/30/2
[3] http://blog.azimuthsecurity.com/2013/06/attacking-crypto-phones-weaknesses-in.html

Relevant upstream patch:
[4] https://github.com/wernerd/ZRTPCPP/commit/c8617100f359b217a974938c5539a1dd8a120b0e
Comment 1 Jan Lieskovsky 2013-07-03 09:29:48 EDT
This issue affects the versions of the libzrtpcpp package, as shipped with Fedora release of 17 and 18. Please schedule an update.

--

This issue did NOT affect the versions of the libzrtpcpp package, as shipped with Fedora EPEL-5 and Fedora EPEL-6.
Comment 2 Jan Lieskovsky 2013-07-03 09:32:32 EDT
Created libzrtpcpp tracking bugs for this issue:

Affects: fedora-all [bug 980904]
Comment 3 Fedora Update System 2013-07-15 21:43:35 EDT
libzrtpcpp-2.3.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.